Bug 90808 - LTC3863-up2date fatal Segmentation fault at "/usr/bin/python"
Summary: LTC3863-up2date fatal Segmentation fault at "/usr/bin/python"
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: up2date   
(Show other bugs)
Version: 7.3
Hardware: i586 Linux
high
medium
Target Milestone: ---
Assignee: Adrian Likins
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-05-14 02:08 UTC by iam me
Modified: 2007-03-27 04:03 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-20 20:42:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description iam me 2003-05-14 02:08:27 UTC
Description of problem:Error reads as follows;
 Application "/usr/bin/python" (process 17243) has crashed due to a fatal error.
 (Segmentation fault)


This error is consistent when ever I run the "Red Hat Update Agent".  It happens
during the downloading of the RPM list.  Obviously the process number is
different each time.



Version-Release number of selected component (if applicable):


How reproducible: every time app is run

Steps to Reproduce:
1.Run Red Hat Update Agent
2.
3.
    
Actual results: I can't update my system with the provided tool,  so I must
manually patch and repair any security issues.

Expected results: Red Hat Update Agent should find all missing patches and
updates,  as well as dependences, and install them.


Additional info: I'm not sure this is relevent, but I'm useing Enlightenment on
Gnome with Sawfish,  but this problem also happened with Gnome only.

Comment 1 Mihai Ibanescu 2003-08-20 15:09:26 UTC
python should not segfault unless one of its libraries is segfaulting.
Please try:

python -c "import rpm; print rpm.opendb()"

Does this segfault as well?

Comment 2 IBM Bug Proxy 2003-08-26 14:45:02 UTC
------ Additional Comments From chinen@jp.ibm.com  2003-26-08 05:49 -------
On my environment, this problem occured only at the first logout after updating
python. But this problem hasn't occured at the second or later logout.

Sugiyama-san,
How's the second or later logout? 

Comment 3 IBM Bug Proxy 2003-10-16 00:51:05 UTC
------ Additional Comments From khoa@us.ibm.com  2003-15-10 20:07 -------
Chinen-san - please provide more info so Red Hat can continue to work on this
bug.  Thanks. 

Comment 4 IBM Bug Proxy 2003-10-20 12:53:02 UTC
------ Additional Comments From chinen@jp.ibm.com  2003-20-10 08:50 -------
Sorry. I forgot to add my e-mail address to CC list. 

Comment 5 IBM Bug Proxy 2003-10-20 13:12:20 UTC
------ Additional Comments From chinen@jp.ibm.com  2003-20-10 09:07 -------
xSeries brand team in Japan said, "The problem hasn't fixed yet.
However we decided to avoid this issue by a documentation."
Therefore, I suppose it is not necessary for us to investigate this issue deeper.

Sugiyama-san,
How do we handle this issue?
How's changing the status into `defer' with `WILL_FIX_LATER'?
(Or changing the status into `reject' with `Documented') 

Comment 6 IBM Bug Proxy 2003-10-22 21:27:37 UTC
------ Additional Comments From khoa@us.ibm.com  2003-22-10 17:21 -------
I think the resolution of this bug should be set to "Documented".  Thanks. 

Comment 7 IBM Bug Proxy 2005-06-14 23:33:55 UTC
changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
                 CC|                            |mranweil@us.ibm.com
             Status|REJECTED                    |CLOSED




------- Additional Comments From mranweil@us.ibm.com  2005-06-14 19:10 EDT -------
Non-duplicate rejected bug that's been rejected for over 6 months.  Marking
closed, you can re-open if needed. 


Note You need to log in before you can comment on or make changes to this bug.